Question

Java plugin doesn't install- JRE 1.7 u10 on Firefox 18.0.1

I've have severe problems because Firefox 18.0.1 can;t install the plugin and I can access some websites that I used frequently. I do the plugin install and it does not installed, do manually does not install. I do not know what to do. Everything was fine before I installed the 18.0.1

Where do I found and older version of firefox so I can continue with my web-life

↓ Show more ↑ Show less
  • All posts
  • Helpful Solutions
  • post
  • post
  • post
  • helpful
  • owner
  • owner
  • helpful
  • solution
  • owner
  • post